### File

`packages/ecl/components/ecl-date-picker/ecl-date-picker.directive.ts`

### Deprecated

This directive is deprecated. Please use '' instead. Will be removed in v23.

### Description

Will be removed in v23.

### Implements

`ControlValueAccessor` `Validator`

### Metadata

Providers | `) )`
Selector | `input[eclDatePicker]`
Standalone | `true`

### Index

###### Methods
registerOnChange registerOnTouched setDisabledState validate writeValue
###### Inputs
dateAdapter eclSize firstDayOfWeek format isInvalid placeholder yearRange
###### Outputs
datePicked

### Constructor

`constructor()`

### Inputs

dateAdapter
Type : `EclDuetDateAdapter | null`
Default value : `null`

eclSize
Type : `"s" | "m" | "l"`
Default value : `'m'`

firstDayOfWeek
Type : `number`
Default value : `1`

format
Type : `string`
Default value : `'DD-MM-YYYY'`

isInvalid
Default value : `false, { transform: booleanAttribute }`

placeholder
Type : `string`
Default value : `'DD-MM-YYYY'`

yearRange
Type : `number`
Default value : `40`

### Outputs

datePicked
Type : `EclDatePickerDatePickedEvent`

### Methods

registerOnChange
`registerOnChange(fn: (value: ModelValue) => void)`
Parameters :
Name | Type | Optional
fn | `function` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: () => void)`
Parameters :
Name | Type | Optional
fn | `function` | No
Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

validate
`validate(control: AbstractControl)`
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
Returns : `ValidationErrors | null`

writeValue
`writeValue(value: unknown)`
Parameters :
Name | Type | Optional
value | `unknown` | No
Returns : `void`

# results matching ""

# No results matching ""